#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n; cin >> n;
    vector<int> x(n);
    for(int i = 0; i < n; i++)
    {
        cin >> x[i];
    }
    vector<int> y(n);
    for(int i = 0; i < n; i++)
    {
        cin >> y[i];
    }
    vector<int> z(n);
    for(int i = 0; i < n; i++)
    {
        cin >> z[i];
    }
    int brNacina = 0;

    for(int i = 0; i < n; i++)
    {
        for(int j = 0; j < n; j++)
        {
            if(x[i]==y[j])
            {
                for(int k = 0; k < n; k++)
                {
                    if(z[k]==(j+1))
                    {
                        brNacina++;
                    }
                }
            }
        }
    }
    cout << brNacina << "\n";
    return 0;
}